#
# Conditional build:
%bcond_with	tests		# perform "make test" (requires DISPLAY)
#
%define	pdir	Pango
Summary:	Pango - Layout and render international text
Summary(pl.UTF-8):	Pango - rozmieszczanie i renderowanie wielojęzycznego tekstu
Name:		perl-Pango
Version:	1.227
Release:	5
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/Pango-%{version}.tar.gz
# Source0-md5:	cc5d7ca7780adcc5cee7cc41f2fc0440
URL:		http://search.cpan.org/dist/Pango/
BuildRequires:	pango-devel >= 1:1.16
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib-devel >= 1.220
BuildRequires:	perl-Cairo-devel >= 1.000
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
# some fonts are required, but does not really matter which ones
BuildRequires:	fonts-TTF-bitstream-vera
BuildRequires:	perl-Gtk2 >= 1.220
%endif
Requires:	pango >= 1:1.16
Requires:	perl-Glib >= 1.220
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl bindings to Pango library used to layout and render international
text.

%description -l pl.UTF-8
Perlowe wiązania do biblioteki Pango służącej do rozmieszczania i
renderowania wielojęzycznego tekstu.

%package devel
Summary:	Development files for Perl Pango bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pango dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	pango-devel >= 1:1.16
Requires:	perl-Glib-devel >= 1.220

%description devel
Development files for Perl Pango bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Pango dla Perla.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Pango{,/Cairo}/*.pod
rmdir $RPM_BUILD_ROOT%{perl_vendorarch}/Pango/Cairo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{perl_vendorarch}/Pango.pm
%dir %{perl_vendorarch}/Pango
%dir %{perl_vendorarch}/auto/Pango
%attr(755,root,root) %{perl_vendorarch}/auto/Pango/Pango.so
%{_mandir}/man3/Pango*.3pm*
%{_examplesdir}/%{name}-%{version}

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Pango/Install
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Pango.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 4fa5f78
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 2f6f660
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> ae379e7
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> d24f664
- rebuild with perl 5.32

* Thu Apr 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 3475011
- updated to 1.227
- removed obsolete link patch

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> c617aaf
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> a247756
- rebuild with perl 5.30.0
- release 10 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 15796c0
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 21235da
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 08ccc94
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 0a67a92
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Tue Dec 29 2015 Jan Rękorajski <baggins@pld-linux.org> e030e3f
- fix linking
- rel 5

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 69cba37
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3400979
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 0b40307
- x32 rebuild
- release 2 (by relup.sh)

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> 7d96a3b
- up to 1.226

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 401edee
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 27e9de7
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 18b22c7
- updated to 1.224
- separated devel part

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c9e837a
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

